.dfl-block {
  position: relative;
  height: auto;
  padding-top: 17px;
  padding-bottom: 17px;
}

.dfl-block:not(.dfl-block-html):not(.dfl-block-markdown):not([data-definition-name="website.components.html"]) {
  clear: both;
}

.dfl-block-quote {
  border-color: var(--tweak-quote-block-stroke-color);
  border-left-color: #b1effe;
}

.dfl-block-quote figure {
  margin: 1em 0;
}

.dfl-block-quote blockquote {
  margin: 0;
  font-family: var(--quote-block-text-font-font-family);
  font-style: var(--quote-block-text-font-font-style);
  font-weight: var(--quote-block-text-font-font-weight);
  line-height: var(--quote-block-text-font-line-height);
  letter-spacing: var(--quote-block-text-font-letter-spacing);
  text-transform: var(--quote-block-text-font-text-transform);
  color: var(--tweak-quote-block-text-color);
}

.dfl-block-quote .source {
  text-align: right;
  font-family: var(--quote-block-source-font-font-family);
  font-style: var(--quote-block-source-font-font-style);
  font-weight: var(--quote-block-source-font-font-weight);
  line-height: var(--quote-block-source-font-line-height);
  letter-spacing: var(--quote-block-source-font-letter-spacing);
  text-transform: var(--quote-block-source-font-text-transform);
  color: var(--tweak-quote-block-source-color);
}

@media screen and (max-width: 767px) and (orientation: portrait) {
  .dfl-block-quote blockquote {
    font-size: calc((var(--quote-block-text-font-font-size-value) - 1) * calc(.012 * min(100vh, 900px)) + 1rem);
  }

  .dfl-block-quote .source {
    font-size: calc((var(--quote-block-source-font-font-size-value) - 1) * calc(.012 * min(100vh, 900px)) + 1rem);
  }
}

@media screen and (min-width: 768px), screen and (max-width: calc(1456px - 1px)) and (orientation: landscape) {
  .dfl-block-quote blockquote {
    font-size: calc((var(--quote-block-text-font-font-size-value) - 1) * 1.2vw + 1rem);
  }

  .dfl-block-quote .source {
    font-size: calc((var(--quote-block-source-font-font-size-value) - 1) * 1.2vw + 1rem);
  }
}

.embed-block .intrinsic,
.video-block .intrinsic,
.embed-block .dfl-block-content .intrinsic,
.video-block .dfl-block-content .intrinsic {
  position: relative;
}

.embed-block .intrinsic .embed-block-wrapper:not(.embed-block-provider-SoundCloud),
.video-block .intrinsic .embed-block-wrapper:not(.embed-block-provider-SoundCloud),
.embed-block .dfl-block-content .intrinsic .embed-block-wrapper:not(.embed-block-provider-SoundCloud),
.video-block .dfl-block-content .intrinsic .embed-block-wrapper:not(.embed-block-provider-SoundCloud) {
  position: relative;
}

.dfl-background-enabled.dfl-block-quote {
  background-color: var(--tweak-quote-block-background-color);
}

.dfl-background-enabled.dfl-block-quote blockquote {
  color: var(--tweak-quote-block-text-color-on-background);
}

.dfl-background-enabled.dfl-block-quote .source {
  color: var(--tweak-quote-block-source-color-on-background);
}
